Subject: bug#23409: unable to load free firmware

From: Quilro Ordonez <[email-masked]>
Date: Fri, 13 May 2016 16:15:41 -0500

Hi,

El 2016-05-13 08:25, [email-masked] escribió:
> I had to double-check the module name, and it’s in fact called “b43”:
> 
> --8<---------------cut here---------------start------------->8---
> $ find $LINUX_MODULE_DIRECTORY -name b43\*ko
> /run/booted-system/kernel/lib/modules/4.5.2-gnu/kernel/drivers/net/wireless/broadcom/b43/b43.ko
> /run/booted-system/kernel/lib/modules/4.5.2-gnu/kernel/drivers/net/wireless/broadcom/b43legacy/b43legacy.ko
> --8<---------------cut here---------------end--------------->8---

Yes. I get that same result.

> So, to recap, you should try (again as root):
> 
>   echo -n $(guix build openfwwf-firmware)/b43-open \
>         > /sys/module/firmware_class/parameters/path
>   modprobe b43
>   dmesg | tail
> 
> Could you try and report back?

# echo -n $(guix build openfwwf-firmware)/b43-open 
/sys/module/firmware_class/parameters/path
guix build: error: openfwwf-firmware: unknown package
/b43-open /sys/module/firmware_class/parameters/path
# rmmod b43
# modprobe b43
# dmesg | tail
[   20.409663] Console: switching to colour frame buffer device 160x50
[   20.411395] nouveau 0000:00:05.0: fb0: nouveaufb frame buffer device
[   20.420052] [drm] Initialized nouveau 1.3.1 20120801 for 0000:00:05.0 
on minor 0
[   24.935207] input: HDA NVidia Front Headphone as 
/devices/pci0000:00/0000:00:10.1/sound/card0/input10
[   40.788264] NET: Registered protocol family 4
[   40.994977] NET: Registered protocol family 3
[   41.137842] NET: Registered protocol family 5
[  974.864509] b43-wlan ERROR: Dual-core devices are not supported
[  974.864521] b43: probe of ssb0:0 failed with error -524
[  974.864536] Broadcom 43xx driver loaded [ Features: PNL ]
#

> Thanks for your patience!

Thank YOU for the freedom....

I will be traveling to a far away community in the jungle this weekend. 
So I will be available with telecommunications for about 11 more hours. 
After that I will be able to answer only in about 66 hours.

Quiliro